# Serialized Form

- ## Package javax.servlet

  - ### Class javax.servlet.GenericServlet extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

  - ### Class javax.servlet.ServletContextAttributeEvent extends ServletContextEvent implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### name

            java.lang.String name

        Attribute name.

      - #### value

            java.lang.Object value

        Attribute value.

  - ### Class javax.servlet.ServletContextEvent extends java.util.EventObject implements Serializable

    serialVersionUID:
      1L

  - ### Class javax.servlet.ServletException extends java.lang.Exception implements Serializable

    serialVersionUID:
      1L

  - ### Class javax.servlet.ServletRequestAttributeEvent extends ServletRequestEvent implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### name

            java.lang.String name

        Attribute name.

      - #### value

            java.lang.Object value

        Attribute value.

  - ### Class javax.servlet.ServletRequestEvent extends java.util.EventObject implements Serializable

    serialVersionUID:
      1L

  - ### Class javax.servlet.UnavailableException extends ServletException implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### servlet

            Servlet servlet

        The Servlet that is unavailable.

      - #### permanent

            boolean permanent

        Is the issue permanent - i.e. is administrator action required?

      - #### seconds

            int seconds

        The estimate of how long the Servlet will be unavailable.

- ## Package javax.servlet.http

  - ### Class javax.servlet.http.Cookie extends java.lang.Object implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### name

            java.lang.String name

        Cookie name.

      - #### value

            java.lang.String value

        Cookie value.

      - #### version

            int version

        Cookie version value. `;Version=1 ...` means RFC 2109 style.

      - #### comment

            java.lang.String comment

        `;Comment=VALUE ...` describes cookie's use.

      - #### domain

            java.lang.String domain

        `;Domain=VALUE ...` domain that sees cookie

      - #### maxAge

            int maxAge

        `;Max-Age=VALUE ...` cookies auto-expire

      - #### path

            java.lang.String path

        `;Path=VALUE ...` URLs that see the cookie

      - #### secure

            boolean secure

        `;Secure ...` e.g. use SSL

      - #### httpOnly

            boolean httpOnly

        Not in cookie specs, but supported by browsers.

  - ### Class javax.servlet.http.HttpServlet extends GenericServlet implements Serializable

    serialVersionUID:
      1L

  - ### Class javax.servlet.http.HttpSessionBindingEvent extends HttpSessionEvent implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### name

            java.lang.String name

        The name to which the object is being bound or unbound.

      - #### value

            java.lang.Object value

        The object is being bound or unbound.

  - ### Class javax.servlet.http.HttpSessionEvent extends java.util.EventObject implements Serializable

    serialVersionUID:
      1L

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.